214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Context / 53 of 75

Upcoming holidays

GET/v1/holidays/upcoming

Public holidays from today for the next 30 days (or any number up to a year), with how many days away each is.

On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
countryoptionalstring
query
One or more ISO codes, comma separated
e.g. CL,BA,AT
daysoptionalinteger
query
How many days ahead, 1 to 365 (30 when left out)
e.g. 30
Request
# Public holidays in the coming days
curl "https://api.tourismapi.com/v1/holidays/upcoming?country=CL" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_86acc455b5",
        "data_as_of": "2026-10-20T04:48:19Z",
        "count": 2,
        "from": "2026-10-20",
        "days": 30
    },
    "data": [
        {
            "country": "CL",
            "date": "2026-10-31",
            "name": "Reformation Day",
            "local_name": "Día Nacional de las Iglesias Evangélicas y Protestantes",
            "national": true,
            "in_days": 11
        },
        {
            "country": "CL",
            "date": "2026-11-01",
            "name": "All Saints Day",
            "local_name": "Día de Todos los Santos",
            "national": true,
            "in_days": 12
        }
    ]
}
Response fields
FieldTypeExample
countrystringCL
datestring2026-10-31
namestringReformation Day
local_namestringDía Nacional de las Iglesias Evangélicas y Protestantes
nationalbooleantrue
in_daysnumber11